{
    name: ["MT-Syntax", ".mts"]
    hide: true
    colors: [
        "function" > "operator"
    ]
    comment: {startsWith: "//"}
    contains: [
        {builtin: #JAVA_DOUBLE_QUOTED_STRING#}
        // regex
        {
            start: {match: /\//, 0: "meta"}
            end: {match: /(?m)\/|$/, 0: "meta"}
            color: "string"
            contains: {
                {match: /\\\//, 0: "strEscape"}
            }
        }
        {match: /#[0-9A-Z_]+#/, 0: "constant"} // built-in
        {match: /#[a-fA-F0-9]{3,8}\b/, 0: "number"} // color
        {match: /\b0|[1-9][0-9]*\b/, 0: "number"} // group
        {match: /\b(true|false)\b/, 0: "number"} // bool
        {match: /\b(?:keywordsToRegex)\b/, 0: "function"}
        {match: keywordsToRegex(
                "match name comment insertSpace contains color colors start end startsWith endsWith builtin"
                "matchEndFirst codeFormatter codeShrinker lineBackground ignoreCase hide addToContains"
            ), 0: "keyword"
        }
    ]
}