{
    name: ["PHP", ".php"]
    comment: {startsWith: "//"}
    comment: {startsWith: "/*", endsWith: "*/"}
    colors: ["variable", #871094, #9876AA]
    // 本来应该只对"<?php"与"?>"之间的代码进行php语法高亮，但由于目前的处理引擎对于这种情况
    // 的动态更新算法效率低下，所以暂不考虑适配，后续优化算法了再完善
    contains: [
        {match: /#\[.*?\]/, 0: "meta"}
        {match: /#.*/, 0: "comment"}
        {builtin: #QUOTED_STRING#}
        {
            color: "string"
            start : {match: /`/}
            end: {match: /(?m)`|$/}
            contains: [
                {match: /\\./, 0: "strEscape"}
            ]
        }
        {match: /(?i)\b(?:0(?:b[01]+|x[\da-f]+)L?|\d+(?:\.\d+(?:e\d+)?F?|[FL]?))\b/, 0: "number"}
        {match: /\$\w+/, 0: "variable"}
        {match: keywordsToRegex(
                "abstract and as break callable case catch class clone const continue declare"
                "default  do echo else elseif enddeclare endfor endforeach endif endswitch"
                "endwhile extends final finally fn for foreach function global goto if match"
                "implements include include_once instanceof insteadof interface namespace"
                "new or print private protected public readonly require xor require_once"
                "return static switch throw trait try use var while yield"
            ), 0: "keyword"
        }
        {match: keywordsToRegex(
                "__halt_compiler array die empty eval exit isset list unset echo print_r sort"
                "htmlentities mkdir fopen fread rewind fwrite fclose opendir readdir closedir"
                "is_dir is_link readlink"
            ), 0: "keyword2"
        }
    ]
}